Copyright: Copyright 1993 Ken Root


main index

Packy for Windows is designed for AEA, Inc. packet radio controllers, specifically the PK-232 and PK-88.  Other AEA controllers may work, but have not been tested.

Help on using Packy for Windows

Shareware Registration Information

Getting Started

The Button Bar

The Status Bar

The Pull-Down Menus

Establishing Packet Radio Connections

Disconnecting Connections

Configuring TNC Parameters

The Callsign Database

The Floating Edit Buffer

The MHEARD List

Other Features:

Maildrop Operation

Conferencing

Configurable Fonts

Sound Effects


Getting Started

How to get started using Packy for Windows

1. Configure the serial port using the Configure/Serial Port pull-down menu.  (See Serial Port Configuration.)

2. Click on the [image] Monitor button.  (See the Button Bar.)

3. Click on the [image] Connect Button, or hit the F3 key to establish a connection.

4. Enter the callsign you wish to connect to in the Connection Request Dialog Box.

5. Click on the [image] Tile Button to arrange both windows for easier viewing.

6. Communicate with the other packet radio station by entering text into the single-line edit control at the bottom of the window with that station's callsign in the title bar. (See the Connection Window.)

7. Click on the [image] Disconnect Button, or hit the F4 key to close the connection.


Serial Port Configuration

Configuring the serial port

9600 baud is recommended for Packy operation.

This can be changed by using your old packet radio software or by entering "TBAUD 9600" from the "cmd:" prompt with a terminal program, such as Windows Terminal. (See the suggestions below for tips and tricks on using Windows Terminal for setting your TNC's baud rate.)

When Packy establishes communications with the controller, it displays a start-up screen (the picture in the main index).  Packy is fully initialized after the start-up screen disappears.

If you do not see the start-up screen right away, there is a problem with your serial port configuration.

If you have been using another terminal program with your controller, use that software to check your port configuration, write down the settings, and then enter them into Packy's port configurationdialog box.

1. Make certain which serial port your packet controller is connected to.

2. Determine what your controller's current port settings are.

You must know the current baud rate, start and stop bits, and parity.

3. Start Packy and pull-down the "Configure" menu and select "Serial Port".

Select the settings that your controller is using and hit the "OK" button.

Once the port setting is configured, Packy will remember those settings.

How to use the Windows Terminal program to set the TNC's baud rate:

If you are uncertain of your controller's settings, try using the Windows "Terminal" program to establish communications before configuring Packy.  Windows Terminal comes bundled with Windows and is found in the "Accessories" group. Try different baud rates until you receive the "cmd:" prompt.

If your controller is currently in "Host Mode", you will not be able to get the "cmd:" prompt.

To exit host mode (assuming the port settings are correct) enter the following keystrokes (All caps, no spaces):

CTRL-A	O H O N	CTRL-W

Keep trying different baud rates (or ports) until you get the CMD: prompt.

Once you receive the "cmd:" prompt from Windows Terminal:

1. Enter the command TBAUD 9600

2. Enter the command RESTART

3. Go into the "Setting/Communications" menu in Window Terminal and set the baud rate to 9600.

4. Enter the asterisk character *  (You should get the cmd: prompt at 9600 baud)

You're now ready to start Packy and set the baud rate to 9600 in the Configure/Serial Port menu.


Establishing Connections

Establishing Connections on Packet Radio

You establish connections with Packy by either:

Click on the [image] button. (See the Button Bar.)

- or use the Action/Connect pull-down menu

- or hit the F3 key.

After you request a connection, the Connection Dialog Box will appear.  You can either type in the callsign that you wish to connect to, or you can use the Connection Combo-Box Controls to select a station from the callsign database.

To create a window that is not connected to any other stations so you can transmit UNPROTO packets, delete the callsign in the connection dialog box and hit the OK button.

The Frequency List and Callsign List are used to make it easy to select the callsign, and remember what frequency the station is on.  These are maintained in the callsign database.

Click on each control in the Connection Dialog Box below to get more information on it's function.


Disconnecting Connections

You can close a connection by any of these methods:

- Selecting the connection window and hitting the [image] button.

- Selecting the connection window and hitting the F4 key.

- Selecting the connection window and use the Action/Disconnect pull-down menu.

- Double clicking on the control box in the upper left corner of the connection window.

- Single click on the control box in the upper left corner of the connection window and select "Close".

After the connection is closed, a message box will appear informing you of the disconnection.  If you hit return or the OK button in this message box, the connection window will be immediately closed and all the data it contains will be lost.

If, however, you do nothing, after 5 seconds the message box will go away, the  connection window will turn gray to indicate it's disconnected, and the connection window will remain open for you to save it's contents or review the QSO.


Connection Dialog Frequency List

The Connection Dialog Frequency List

This pull-down list will filter the callsign list so that only the callsigns on the selected frequency are available to select from in the callsign list.

Select * All Frequencies to view all of the callsigns in the database.


Connection Dialog Callsign List
The Connection Dialog Callsign List

When you select the callsign list button, the list of callsigns drops down for you to choose one.  Note, that not all of the callsigns in the database will appear if you have selected a specific frequency from the frequency list.  Only the callsigns on that frequency will appear in this callsign list.  If you want to be able to select from any callsign in the database, you must select * All Frequencies from the frequency list.

Instead of using the pull-down list to select the callsign to connect to, you can, of course, simply type in the callsign.  If the callsign is recognized as one in the database, the name of the station in the database will appear along with the callsign automatically.


Connection Window

The Connection Window

Click on the 3 sections of the window below to see a description of their functions.

The most important feature of Packy is it's ability to route each connection to it's own individual window.  You can easily choose which stream to communicate with by clicking on the window that has the callsign of who you want to talk to in the title bar of the window.


Connection Window Incoming Data
The top portion of the Connection Window is where incoming text is displayed.


Connection Window Outgoing Data
The middle portion of the Connection Window is where text that you have entered is stored after it is transmitted.


Connection Window Data Entry
The bottom portion of the Connection Window is where you enter data to transmit to other packet radio stations.


Button Bar

The Button Bar

Click on each button to see a description of it's function.


Tile Button
Tile will arrange all the child windows for you.

It tends to place the windows next to each other horizontally.


Vertical Tile Button
Vertical Tile will arrange all the child windows on top of each other.

This tends to make wider windows for displaying long lines of text.


Cascade Button
Cascade will arrange all the child windows one on top of the other,

but slightly offset so you can see their title bars.


Arrange Icons Button
Arrange Icons will arrange the icons of minimized child windows along the bottom of Packy's parent window.

This is useful when a window is minimized as an icon and becomes hidden by another window.


Close All Button
Close All will close all of the child windows at once.

This is useful when you want to go configure TNC parameters,

or open the local maildrop, or some other operation that requires all active windows be closed.


Exit Program Button
The exit button will terminate the program and close all connections.


Monitor Button
The monitor button will toggle the monitor window open and close.

See Monitor Settings for more info on the monitor window.


Connect Button
The connect button will open a new connection on packet radio.

A dialog box will appear that is used to enter the callsign to connect to.


Disconnect Button
The disconnect button will disconnect the last connection window selected.

If you first click the cursor on a connected window, and then click on the disconnect button, that stream will be closed.


Callsign Log Button
The log button will open and close the callsign database.

The callsign database is primarily used to make it more convenient to manage connections.

The database can also be used to log any type of information you'd like about a particular callsign.


Edit Button
The edit button opens and closes the floating edit buffer.

The edit buffer is used for all disk file operations,

and is used to capture data for use with the Windows clipboard.

The floating edit buffer can also be used to send a multiple-line message

to any connected stream.


Window List
This is a list of open windows that you can use to select the window you want.

If a window becomes hidden behind other windows, rather than minimizing the top windows or moving them around, you can pull down this list and select the window you're looking for based on the window's title in it's title bar.


Monitor Settings

This dialog box is used to configure the amount of traffic you want to monitor and is accessed from the Configure/Monitor Level pull-down menu.

Due to Packy's ability to route data to multiple windows, it's unnecessary to stop monitoring traffic when connected.  Therefore while Packy is running, if the monitor window is open, both the MCON and MONITOR parameters are set to the value you select in the top half of this window.  When you close the monitor window, both the MCON and MONITOR parameters are set to zero.  Because Packy manages these two parameters, you cannot set them directly in the TNC Parameter configuration screen.

The bottom half of this dlialog box is for selecting the amount of traffic to monitor when Packy is not running.  The next time Packy is run, it will automatically open the monitor window and transfer the captured monitor traffic into the monitor window.

Caution: Monitoring too much traffic for a long period of time without Packy running will cause your controller to run out of internal memory.  This may prevent people from connecting to your station or your maildrop.

The rectangles around level 4 and level 0 are the default settings.  Level 4 while Packy is running will display connected traffic, and level 0 while Packy is not running will only capture traffic that connects to your controller.  Setting a level greater than 4 while Packy is running is useful when it's desireable to see the protocol frames in order to diagnose transmission problems.

The monitor level of "0" setting when Packy is running is disabled from being selectable, because it does not make sense to only monitor packets connected to your TNC, since that will occur in the connected window.


See Operating Manual

For a complete description of any or all TNC parameters, refer to the operating manual that came with your data controller.


TNC Parameter Configuration

TNC Parameter Configuration Screen:

In order to configure these TNC parameters, all Packy windows must first be closed.

This can be done with the [image] button in the Button Bar, or the windows can be closed individually.  The controller will not permit changing parameters, such as your callsign, while connected.

Stations attempting to connect to your controller while in this configuration screen will be rejected with a busy message.

See Configuring TNC Messages for additional TNC parameters.

Click on the parameters below to see a brief description of each and it's default value.


Backup to Packit.ini Button

This is used to save your current configuration to the Packy configuration file in case you should lose your settings, due to a power or battery failure.


Restore to Packy.ini Button

This is used to restore your saved settings from the Packy configuration file.


OK Button

The OK button will accept any changes you have made in this dialog box.


Cancel Button

The Cancel button will abort saving any changes.


Help Button

The Help button will launch Windows help with information about the current dialog box.


Save to TNC Button

This will write all of the TNC parameters from the configuration dialog box to the controller's internal memory.


3RDPARTY TNC Parameter

"On" will allow anyone to use the local maildrop.

"Off" will only allow mail to or from MYCALL or MYMAIL.

The default is "Off".


8BITCONV TNC Parameter

"On" will pass 8 bit data from the TNC to the computer.

"Off" will strip data to 7 bits.

The default is "Off".


ACKPRIOR TNC Parameter

Priority Acknowledgement.

Refer to you controller's operating manual for details.

The default is "Off".


ALFPACK TNC Parameter

"On" will add a line feed character after each carraige return in outgoing packets.

"Off" will not add line feeds.

The default is "Off".


ALTMODEM TNC Parameter

"0" = PK-232  45-300/1200 baud modem.

"1" = optional 2400 baud modem.

The default is "0".


AUDELAY TNC Parameter

0 - 120, in units of 10 milliseconds specifying the delay after the controller activates radio transmission before sending any audio signal.  MUST be less than TXDELAY.

The default is 2 for 20 milliseconds.


AX25LVL2 TNC Parameter

"On" uses AX.25 Level 2 version 2.0 protocol.

"Off" uses version AX.25 Level 2 version 1.0 protocol.

The default is "On".


AXDELAY TNC Parameter

0 to 180 in 10 millisecond intervals specifying the delay after the controller activates radio transmission before sending a packet.

The default is "0".

This delay is used in addition to TXDELAY.  Works in conjunction with AXHANG.


AXHANG TNC Parameter

0 to 20 in 100 millisecond intervals specifying the voice repeater "hang time".

The default is 0.

See the operating manual for your controller for details.


BBSMSGS TNC Parameter

"On" changes the controller's status messages to be more like TAPR controllers.

"Off" uses AEA status messages.

The default is "Off".


CASEDISP TNC Parameter

"0" to "2" Specifies how the controller sends data to your computer.

"0" sends characters as they are received.

"1" converts all characters to lower case.

"2" converts all characters to upper case.

The default is "0".


CHECK TNC Parameter

"0" to "250" in 10 second intervals.

"0" disables this function.

The default is 30 for 300 seconds (5 minutes).

Sends a packet to verify the connection if the remote station has not been heard in this amount of time.


CHCALL TNC Parameter

When connected to multiple stations:

"On" will display the callsign of the station connected to after the stream number.

"Off" will not display the callsign in received text.

The default is "Off".

This parameter has no effect with Packy's operation, but can be configured for use with other programs.


CMDTIME TNC Parameter

"0" to "250" in 100 millisecond intervals specifying the transparent mode timeout value.

"0" requires sending the BREAK signal or removing power from the controller to exit transparent mode.

The default is 10 (1 second)


CMSG TNC Parameter

"On" will send the CTEXT message when another station connects to your controller.

"Off" will prevent the CTEXT message transmission.


CONSTAMP TNC Parameter

"On" will display the timestamp of connection messages.

"Off" will display the connection messages without the timestamp information.


CPACTIME TNC Parameter

"On" activates automatic, periodic transmissions in converse mode.

"Off" disables the automatic timer.

The default is "Off"


DAYSTAMP TNC Parameter

"On" includes the current date in the CONSTAMP and MSTAMP messages.

"Off" does not include date information in these messages.

The default is "Off".


DWAIT TNC Parameter

"0" to "250" in 10 millisecond intervals specifying the delay amount to wait after the frequency goes quiet before transmitting.

The default is 16 for 160 milliseconds.

This value is ignored if the newer PPERSIST timing method is used.


FRACK TNC Parameter

"1" to "15" in 1 second intervals specifying the FRame ACKnowledgement timeout,

or time to wait for acknowledgement of a sent packet before retrying.

The default is 5 for 5 seconds.


FULLDUP TNC Parameter

"On" enables full duplex mode

"Off" disables full duplex mode.

The default is "On".

Must be "Off" for the controller to use the DCD signal to avoid collisions.


HBAUD TNC Parameter

Specifies the data rate that the controller will transmit at.

The default is "1200".

Internal data rates include:

45, 50, 57, 75, 100, 110, 150, 200, 300, 400, 600, and 1200.


HEADERLN TNC Parameter

"On" will display the header of an incoming packet on a separate line than the text.

"Off" will display the header on the same line as the text.

The default is "On".


HID TNC Parameter

"On" will cause the controller to send an HDLC ID packet every 9.5 minutes when it's being used as a digipeater.

"Off" will not cause HDLC ID packet transmissions.

The default is "Off".


HOMEBBS TNC Parameter

This is the callsign of your HOME BBS for use with Auto-Forwarding.


ILFPACK TNC Parameter

"On" will cause the controller to ignore line feed characters from the computer.

"Off" will cause the controller to transmit line feed characters.

The default is "On". Packy will send double-spaced text if this is turned off.


KILONFWD TNC Parameter

"On" will cause reverse forewarded messages to be automatically deleted from the maildrop.

"Off" will not kill maildrop messages after reverse forwarding.

The default is "On".


LITE TNC Parameter

"On" will cause the controller to attempt to use the HF Packet Lite extensions.

"Off" will cause the controller to use the AX25LVL2 protocol setting.

The default is "On".


MAILDROP TNC Parameter

"On" enables the maildrop for others to connect to.

"Off" disables the maildrop.

The default is "Off".

See the MDPROMPT, MDMON, MTEXT, MMSG, and MYMAIL parameters.


MAXFRAME TNC Parameter

"1" to "7" specifying the maximum number of unacknowledged packets the controller will support.

The default is "4", however, "1" is recommended for HF operation.


MBELL TNC Parameter

"On" enables the controller to send 3 bell characters to the computer when stations from the MFOM and MTO lists connect.

"Off" disables the MBELL feature.

The default is "Off".

Packy always beeps when a connection is made, so enabling this parameter is not necessary and will have no effect.


MCON TNC Parameter

"0" to "6" specifying the amount of traffic to monitor when connected to another station.

The default is "0".

The value displayed in the TNC Parameter Configuration Screen is "read-only" and indicates the value that will be stored in the controller when Packy exits.

See the Monitor Configuration Screen for setting this parameter.  This configuration screen is found under the "Configure/Monitor Level" menu.

When Packy exits, MCON is set to "0" and MONITOR is set to the value selected for the amount of traffic to monitor after Packy exits.


MDIGI TNC Parameter

"On" enables monitoring of packets from other stations using your controller for a digipeater.

"Off" disables monitoring digipeated packets.

The default is "Off".


MDMON TNC Parameter

"On" enables monitoring of connections to your maildrop.

"Off" will disable maildrop monitoring.

The default is "Off".

Packy will always open a connection window when someone connects to your maildrop.

This setting will only affect the Monitor Window.


MID TNC Parameter

"0" to "250" in 10 second intervals specifying the morse ID timing.

"0" disables this function.

The default is "0".

This is used to have the controller periodically send out a 20 wpm ID in Morse code.


MMSG TNC Parameter

"On" enables the MTEXT message to be transmitted when a station connect to your maildrop.

"Off" disables the MTEXT maildrop connection message.

The default is "Off".


MONITOR TNC Parameter

"0" to "6" specifying the amount of traffic to monitor when no other stations are connected.

The default is "4".

The value displayed in the TNC Parameter Configuration Screen is "read-only" and indicates the value that will be stored in the controller when Packy exits.

See the Monitor Configuration Screen for setting this parameter.  This configuration screen is found under the "Configure/Monitor Level" menu.

When Packy exits, MCON is set to "0" and MONITOR is set to the value selected for the amount of traffic to monitor after Packy exits.


MPROTO TNC Parameter

"On" monitors the control frames from a NET/ROM station.

"Off" disables monitoring of NET/ROM packets.

The default is "Off".


MRPT TNC Parameter

"On" displays the digipeater path in monitored packet headers.

"Off" displays only the source and destination stations in monitored packets.

The default is "On".


MSTAMP TNC Parameter

"On" enables timestamping of monitored packets.

"Off" disables monitored packet timestamping.

The default is "Off".


MYALIAS TNC Parameter

Specifies an easy to remember digipeater name.

There is no default value.


MYCALL TNC Parameter

This is your callsign.

The default is "PK232" or "PK88" and must be changed to comply with FCC regulations before transmitting.


MXMIT TNC Parameter

"On" enables monitoring of transmitted packets.

"Off" will not display your tansmissions in the monitor window.

The default is "Off".


MYMAIL TNC Parameter

This is the callsign assigned for your maildrop.

There is no default.

Typically this is assigned to your callsign with a "-1" added, such as "N7SNQ-1".


PACLEN TNC Parameter

"0" to "255" specifying the maximum packet length of your transmissions.

"0" is equivalent to 256.

The default is "128".

In order to make it easier for other stations to read your packets on 80 column terminals, Packy will automatically terminate and transmit a packet between words (spacebar) when the text line approaches 80 characters.  This way you can type continuously without thinking about how it will wrap on the screen of the other station.  For a line of text with only a few words entered, you'll still have to hit return to transmit the line.

On a busy frequency, you might have better throughput by making PACLEN 64, or even 32, since a short burst transmission is less likely to collide with other stations than a long packet.


PASSALL TNC Parameter

"On" enables your controller to accept packets without checking for packet errors.

"Off" disables the acceptance of damaged packets.

The default is "Off".

For proper operation, it is highly recommended to leave this parameter turned off.  It's only useful for diagnostic purposes.


PERSIST TNC Parameter

"0" to "255" adjusts the random interval to begin transmitting when the frequency goes quiet.

The default is "63".


PPERSIST TNC Parameter

"On" enables p-persistent collision detection for transmissions.

"Off" uses the DWAIT Parameter for TAPR-style collision detection.

The default is "On'.


RELINK TNC Parameter

"On" enable the controller to automatically attempt to reconnect to another station after the connection was broken due to retries.

"Off" disables automatic reconnection of a lost connection due to retries.

The default is "Off".


RESPTIME TNC Parameter

"0" to "250" in 100 millisecond intervals specifying the minimum delay before the controller sends acknowledgement packets.

The default is "0".


RETRY TNC Parameter

"0" to "15" specifying the number of packet transmission retries before aborting the connection.

The default is "10".


SLOTTIME TNC Parameter

"0" to "250" in millisecond intervals specifying the time the controller will wait before attempting to transmit with PERSIST and PPERSIST collision avoidance.

The default is "30" for .3 seconds.


SQUELCH TNC Parameter

"On" specifies the controller responds to positive polarity squelch voltage.

"Off" specifies the controller responds to negative polarity squelch voltage.

The default is "Off".


TRIES TNC Parameter

"0" to "15" specifying the current RETRY level on an input channel.

The default is "0"


TXDELAY TNC Parameter

"0" to "250" in 10 millisecond intervals specifying the delay before sending the packet after keying the transmitter.

The default is "30" for .3 seconds.


UNPROTO TNC Parameter

Specifies the characters to place in the destination field of a packet when there is no connection.

The default is "CQ".


USERS TNC Parameter

"0" to "10" specifying the maximum number of incoming connection requests the controller will accept.

The default is "1".

If Packy isn't registered, while Packy is running the USERS parameter will be set to 1 and only a single connection is possible.  When Packy exits, this parameter will be restored to the value entered in the parameter configuration screen.

Registered users will be amazed how easy it is to carry on multiple connections with Packy.  It's the best feature!

It's unfortunate that many users of shareware products do not register.  As much as I would have liked to avoid such limitations, this program took me nearly a year of late nights and sore wrists to develop.  If you like this software and you use it, please register!  (See Registration Infomation.)


VHF TNC Parameter

"On" specifies that the packet tones are shifted 1000 Hz for VHF operation.

"Off" specifies that the packet tones are shifted 200 Hz for HF operation.

The default is "On".


WHYNOT TNC Parameter

"On" enables the TNC to generate a reason for why received packets were not displayed.

"Off" disables this diagnostic function.

The default is "Off".

This is useful when adjusting volume, squelch and DCD levels.


XMITOK TNC Parameter

"On" enables the controller to key the transmitter.

"Off" prevents the controller from transmitting.

The default is "On".

This parameter MUST be on to transmit packets.


Registration Information

If you like what you see in this program, please consider that "shareware" is not "freeware".  By eliminating middle-men such as publishers, distributors, and retailers, high-quality software can be made available for purchase at very reasonable rates.  Please support shareware authors by registering the products that you use.

What you get by registering

- Up to 10 simultaneous connections, each in a separate window with the callsign visible in the title bar.

- Unlimited callsign database to manage information such as the first name of a particular callsign and their frequency.  (You'll be able to toss all those sticky notes stuck all over your desk.)

- Multipoint "Round-Table" Conferencing.  Each station that you join to the conference will be able to see each other's packets and communicate with each other through your station.

- File Open and File Save through the floating edit buffer window.

- Announcements of future enhancements and new versions, and discounts for upgrades to future versions of Packy.

Registering Packy is easy!

1. Start Packy and make sure all windows are closed. (See the Close All button.)

2. Pull down the Action menu and select Register.

3. If you have already obtained your personal registration key, simply type it into the form and that's it.  You will immediately have access to the full feature set available.

If you don't have your registration key yet:

If you have a printer attached to your computer, click on the Registration Form button and complete the form.  When done, hit the print button.

If you don't have a printer, type or neatly write on a piece of paper:

1. The version number of Packy you are using. (Look in the About Box)

2. Your name and callsign.

3. The return address that you would like the registration key sent to.

Be sure to include your callsign exactly as it appears in the MYCALL TNC parameter.

Send your registration information and payment of $35 to:

Kenneth Root

P.O. Box 6281

Aloha, OR 97007-0281


TNC Parameter Messages

Configuring TNC Messages

These TNC parameters are used to configure messages that the controller transmits.

Unlike the other TNC parameter configuration screen, these messages can be changed while connection windows are active.

Click on the parameters below to see a brief description of each.


Beacon TNC Parameter

"EVERY" transmits the beacon at the specified interval.

"AFTER" transmits the beacon only after the specified interval of no traffic on the frequency.

"0" to "250" specifying the beacon timing in 10 second intervals.

"0" disables the beacon.

The default interval is "0".

The UNPROTO parameter can be used to set your packet header when unconnected to "CQ", so there's no need to put "CQ" in the beacon's BTEXT message.


BTEXT TNC Parameter

Any characters, up to a maximim length of 120 characters, specifying the BEACON message.

Please be respectful of others on the frequency and not transmit your beacon too often.

Don't put graphics, or non-printable characters in the message.


CTEXT TNC Parameter

Any characters, up to a maximim length of 120 characters, specifying the message the controller will transmit when a station connects to your TNC.

The CMSG parameter must be enabled for this message to be transmitted.


MDPROMPT TNC Parameter

Any characters, up to a maximim length of 80 characters, specifying the message the controller will transmit when a calling station begins entering a maildrop message.

The default is "Subject:/Enter message, ^Z (CTRL-Z) or /EX to end"

Text before the slash character is sent for the subject prompt.

Text after the slash is sent for the message prompt.

The 3RDPARTY and MAILDROP parameters must be enabled for other stations to use your maildrop.


MTEXT TNC Parameter

Any characters, up to a maximim length of 120 characters, specifying the message the controller will transmit when a station connects to your maildrop.

The default text is "Welcome to my AEA PK-232M maildrop. Type H for Help."

The MMSG parameter must be enabled in order for this message to be transmitted.

The 3RDPARTY and MAILDROP parameters must be enabled for other stations to use your maildrop.


PACTIME TNC Parameter

"EVERY" specifies that packet timeout occurs every interval.

"AFTER" specifies that packet timeout occurs when the interval passes without any input from the computer to the controller.

"0" to "250" specifying the packet timeout in 100 millisecond intervals.

The default interval is "10" for 1 second.


Callsign Database
The Callsign Database

This configuration screen is how you can maintain information about the station you frequently connect to.

The information you enter in the callsign database will make it much easier to establish connections with the connection request dialog box, since you'll be able to select from a preconfigured list of callsigns, and information such as the name of this station, and their digi path will be automatically loaded from the database.

Click on the controls below to get a description of their functions.


Callsign Database Callsign List
The Callsign Database Callsign List


Callsign Name
Enter a description of this callsign, that you would like to see in the connection window title bar, and in the connection request dialog box.


Connection Log Frequency
Enter here the frequency that you would normally find this callsign to connect to.  Besides recording the information where you can find it later, this information is used by the connection request dialog box to filter the callsign list to only show the callsigns on that frequency.


Digipeat Enable Checkbox

Enable this check box in order to enter the digipeater path to this callsign and store it in the database for use by the connection request dialog box.


Digipeater Path

Enter the digipeater path to this callsign here to store it in the database for use by the connection request dialog box.

Do not enter "VIA" in this field.  Enter the callsigns of the stations to digipeat through, separated by commas.


Home BBS Field

You can store the callsign's home BBS for future reference here.


Phone Number Field

You can use this field to store a callsign's land-line phone number here.


Last Connection Timestamp

This field is automatically updated to let you know the date and time that your station last connected with this callsign.


Notes
Callsign Database Notes

You can enter any information you want to record about this callsign in this window.


Delete this entry button

Use this button to completely remove a callsign from the database.

Once deleted, the information is permanently erased.


Pull-Down Menus

The Pull-Down Menus

Click on the menu bar for descriptions of it's different sections.


The File Menu

Click on the menu bar for descriptions of it's functions.


File Open

Use this selection to open a text file and have it read into the floating edit buffer.


File Save Menu
The File Save Menu

Use this selection to save the contents of the floating edit buffer into a text file.


File Exit Menu
The File Exit Menu

Use this selection to close all connections and exit Packy.


Action Menu

The Action Menu

Click on the menu bar for descriptions of it's functions.


Action Connect Menu
The Action Connect Menu

Use this selection to open a connection to another station.  See Establishing Connections for a description of the dialog box that will pop up to request the callsign to connect to.


Action Disconnect Menu
The Action Disconnect Menu

Use this selection to disconnect the most recently selected connection window.


Action Maildrop Menu
The Action Maildrop Menu

Use this selection to open the maildrop on your controller.  All windows must be closed, however, for this menu selection to be activated.


Action Monitor Menu
The Action Monitor Menu

Use this selection to open and close the monitor window.  See Monitor Level Settings for configuring the amount of traffic to monitor.


Action MHEARD Menu
The Action MHEARD Menu

Use this selection to open a dialog box that lists the most recently heard callsigns.

See the MHEARD List for more information on how to use this dialog box to establish connections.


Action Conference Menu
The Action Conference Menu

Use this selection to connect the most recently selected connection window to a roundtable conference.  Packy will foreward all packets received from stations joined to the conference to all other attendees.  The callsign of the originating station is inserted into the front of replicated packets so the conference attendees can tell who the message is from.


Action Register Menu
The Action Register Menu

Use this selection to enter your personal registration key or to print a convenient form for obtaining your key.  See Registration Information for details on how to register and obtain full access to all of Packy's features.


Edit Menu

The Edit Menu

Click on the menu bar for descriptions of it's functions.


Configuration Menu

The Configuration Menu

Click on the menu bar for descriptions of it's functions.


View Menu

The View Menu

Click on the menu bar for descriptions of it's functions.


Window Menu

The Window Menu

Click on the menu bar for descriptions of it's functions.


Help Menu

The Help Menu

Click on the menu bar for descriptions of it's functions.


Floating Edit Buffer
The Floating Edit Buffer

This window is used for all clipboard and file operations with Packy and can be positioned anywhere on your Windows desktop.

Click on the controls below to see a description of their functions.

Clipboard operations:

Although Packy supports highlighting text received with the mouse and using the clipboard copy command, as soon as another line of text is received, the window scrolls and your selection is lost.  This can be a problem on busy frequencies or a QSO with a fast typist.  Instead of blocking the serial port or requiring you to turn the frequency knob in order to capture the buffer, the floating edit buffer has a "snapshot" button that will instantly copy all of the window's text into the edit buffer, so you can work with it off-line.  Be sure to look at the title bar of the edit buffer to be sure which window's text will be captured.

You can also copy and paste text with other applications, such as Notepad, with the edit buffer.

Keyboard shortcuts for clipboard operations are:

Control-C for copy,

Control-X for Cut,

Control-V for paste.

File Operations:

The file operations are used to save the edit buffer's contents to a file or read a text file into the edit buffer.  (See the Pull-Down Menus.)

The File/Open, File/Save, and File/Save As pull-down menus work only with the floating edit buffer.   Each of these choices will display a dialog box to select the file name to open or save.  If File/Save As was done once, the File/Save will skip asking you for the file name.

File/Open will read the text file, automatically open the edit buffer if it's closed, and copy the file's contents into the buffer.

File/Save and File Save As will display an error if the edit buffer is not open, since the contents of the edit buffer is the only way to save data directly to a file.


Snapshot Button
Snapshot the last stream selected button

Use this button to capture the most recently selected window into the floating edit buffer.

Since  trying to select text with the mouse can be difficult when the window is scrolling, this button will capture the entire window contents instantly.  You can then trim it down to what you want to keep without automatic scrolling interfering.


Transmit Button
Transmit to the last stream selected button

Use this button to transmit the contents of the floating edit buffer to the last window selected.

Caution: Be sure to check the title bar for which window was last selected, and be sure what's in the buffer before you hit this button.  Once the transfer is started there is no way to abort other than power cycling the controller.


Clear Button
The Clear Button

Use this button to erase the contents of the floating edit buffer.


Close Button
The Close Button

Use this button to close the floating edit buffer window.


Edit Buffer Text

Use this window to enter a long message. When typing into this window, it will auto-wrap the text you enter when either a space between words is hit after column 70, or after 80 characters are entered on a line.

File I/O operations and clipboard operations are also supported using this window.


Status Bar

The Status Bar

The status bar is at the bottom of Packy's main window and displays useful information about the most recently selected stream.

The left-most value is the stream number the connection is using in the controller.

The middle value is the AX.25 link status.   This will indicate such things as waiting for a connection or disconnection, or  "connected" while idle during a QSO.

The rightmost values indicate the status of packet transmissions pending.

Retries indicates the number of tries the current packet has been unsuccessfully transmiited.  After the number of attempts in the RETRY parameter, the link will disconnect.  (See TNC Parameter Configuration)

Unack indicates the number of packets waiting to be transmitted.

When the last window selected is the monitor window, the status bar will indicate the current monitor level setting.


Font Selection

The windows Packy uses for connected streams and the monitor window can be configured to use any of your Windows fonts.  Once you configure a new font, this setting will be remembered each time Packy is run.

In order to change the font, all of Packy's windows must be closed by either closing them individually or by clicking on the [image] button.

Remember, in choosing a font, that many Windows fonts use variable spacing.  If you want the text to line up when it's formatted in columns (such as the maildrop 'list' command) you'll have to select a fixed spaced font.  There are many excellent fonts available from a variety of sources that Windows can use.


MHEARD List

The MHEARD List

The MHEARD pull-down menu command displays a dialog box containing the most recently heard callsigns.  An asterisk symbol (*) after the callsign indicates that this callsign was heard directly, rather than through another station's traffic.

By double clicking on a callsign in the list, an attempt will immediately be made to establish a connection with that callsign.

By single clicking on a callsign to select it, and then clicking on the Connect button, you can also establish a connection with the station heard.

The Reset button will clear the MHEARD list.

Enabling the DAYSTAMP TNC parameter will add the dates the callsigns were heard to the timestamp.


Reset Button
The Reset Button

Clicking on this button will erase the MHEARD list from the controller's internal memory.


Connect MHEARD Button
The Connect MHEARD Button

This button will attempt to connect the controller to the selected callsign.


MHEARD list
The MHEARD list

This is a list of most recently heard callsigns.

If you double click on one, Packy will attempt to connect to that callsign.


Sound Effects

Just for fun...

If your computer has a sound board installed, and you have enabled system sounds in the Windows Sounds Control Panel, Packy will trigger system sounds when it receives a special character string.

If the first characters of a packet received are:

//BELLx

where x is a number from 1 through 6.  ("BELL" must be all caps)

1 = Produces a standard beep sound using the computer speaker.

2 = Plays the sound identified by the "Default Beep" entry in the control panel.

3 = Plays the sound identified by the "Asterisk" entry in the control panel.

4 = Plays the sound identified by the "Exclamation" entry in the control panel.

5 = Plays the sound identified by the "Critical Stop" entry in the control panel.

6 = Plays the sound identified by the "Question" entry in the control panel.

If you do not have a sound board installed, the standard system beep using the PC's speaker will be heard instead.


Keys
Keystroke Shortcuts

F1: Context-sensitive help

F3: Establish a connection

F4: Disconnect the current connection

Clipboard Commands:

Control-C: Copy to clipboard

Control-X: Cut to clipboard

Control-V: Paste from clipboard

Window commands:

Shift-F4: Tile

Shift-F5: Cascade

Control-F4: Close window

Alt-F4: Quit Packy


Cut

This will copy and delete the selected text and put it in the clipboard.  Since you cannot deleted text that has been received into the connection windows, "Cut" only works with the floating edit buffer.

Control-X is the keyboard shortcut for the Cut command.


Copy

This will copy the selected text to the clipboard.  Since the connection windows can scroll while you're trying to copy to the clipboard, the floating edit buffer can instantly snapshot a window for clipboard operations.

Control-C is the keyboard shortcut for the Copy command.


Paste

This will copy the text currently in the clipboard to the current cursor location.

Control-V is the keyboard shortcut for the Paste command.


Help Index
This will start Packy's help file at the master index.

By clicking on different subject titles, you can get complete descriptions of all available features and how to use them.


Help Keys
This will start Packy's help file and display a summary of keyboard shortcuts to Packy's commands.


Help for Windows
This will display instructions and tips on how to use Windows help.

This is not Packy's help file, but a help file that comes with Microsoft Windows.


Help About Box
This will display Packy's About Box.

The About Box shows Packy's version number, whether your copy is registered, and how to contact the author via mail or CompuServe.

Please do not contact the author via packet radio for anything that might be considered business traffic!


About Box
Packy's About Box

Please use mail or Compuserve to contact the author.

Do not use packet radio to contact the author for any purpose that might be considered business related!


Conferencing

Registered users of Packy are able to join connected stations together into a round table conference.

When you transmit data to a station that is connected to the conference, your traffic will also be transmitted to all other stations joined into the conference.

When other stations that are joined to the conference transmit data to you, their traffic is repeated automatically to all the other conference attendees.

In order to avoid confusion on what station originates what data, the originating station's callsign is prepended to the start of each packet.

To join a connected station to the conference:

Select the connected window, and use the Action/Join Conference pull-down menu.  A message will be sent to this station that it was joined to the conference.  In addition, a message will be sent to each participant in the conference that this station has joined the conference.

To remove a station from the conference:

Select the connected window and use the Action/Join Conference pull-down menu again. A message will be sent to this station that it was disconnected form the conference, but is still connected to your controller.  In addition, a message will be sent to each participant in the conference that this station has left the conference.


Maildrop Operation

Your controller does not allow opening the maildrop while connected to other stations, therefore you must close all windows first.  Use the Action/Open Maildrop pull-down menu to open the maildrop.

Upon opening the maildrop, the contents of the maildrop will be displayed automatically.

Similar to the connection windows, you enter text in the bottom portion of the window.

Remember that while you are using the maildrop, other stations will be unable to connect to your controller and will be rejected with a busy message.  When someone attempts to connect to your TNC while you have the maildrop open, a "CONNECT REQUEST" message with their callsign will be displayed in the maildrop window, letting you know they were rejected.

The maildrop commands are:  B,H,E,K,L,R,S, and ?

If you enter '?', or 'H', the following text will be displayed:

B(ye)	Log off (Closes the maildrop window)

H(elp)	Display this message

E(dit)	E n:	Edit message n

use '? E' for list of edit commands

K(ill)	K n:	Kill message number n

L(ist)	L : 	List message titles

L n: 	List message number n

R(ead)	R n:	Read message number n

S(end)	S :	Send a message to SYSOP

S n:	Send a message to station n

?	Same as H(elp)

In addition if you enter "? E", the following help will be displayed on EDIT command options.

E n:	Shows message n's info line

E n > callsign:	Shows callsign as message n's destination

E n < callsign:	Sets callsign as message n's source

E n @ callsign:	Sets callsign as message n's destination BBS

E n @:	 	Clears message n's destination BBS field

E n P:	 	Sets message n's status to private

E n B:	 	Sets message n's status to Bulletin

E n T:	 	Sets message n's status to Traffic

E n Y:	 	Sets message n's status to Has-Been-Read

E n N:	 	Sets message n's status to Has-Not-Been-Read

E n F:	 	Sets message n's status to Reverse Forward


Edit Buffer Menu

This menu selection will open and close the floating edit buffer.

The floating edit buffer is used for clipboard and file I/O, as well as for composing a long message that you want to transmit all at once.


Contact Log Menu

This menu will open and close the contact log, a callsign database that can be used to make connecting easier, as well as recording information about specific callsigns.


Toolbar Menu

This menu selection will hide and make visible the button bar.  Since all button bar functions are available through pull-down menu commands, it's use is convenient, but not required.  If you want more screen real-estate, hiding the button bar will make it invisible and it will stay that way each time Packy is run, until you use this menu command to make it visible again.


Serial Port Config Menu
Serial Port Configuration Menu

Use this selection to open the serial port configuration dialog box.

Packy will not run until the controller's serial port is configured to operate with your computer's serial port.


TNC Parameter Config Menu
TNC Parameter Configuration Menu

Use this menu selection to open the TNC parameter configuration dialog box.

Be sure to consult your controller's operating manual for the best detailed description of each parameter's proper settings.


TNC Messages Config Menu
TNC Messages Configuration Menu

Use this menu selection to open the TNC message configuration dialog box.

Be sure to consult your controller's operating manual for the best detailed description of each parameter's proper settings.


Monitor Settings Menu

Use this menu selection to open the monitor level configuration dialog box.

This will configure the amount of traffic to be displayed in the monitor window.


Font Configuration Menu

Use this menu selection to open the font configuration dialog box and configure the font to use in Packy's connection windows.